## mingw-w64-qt6-3d-6.8.0-1.src.tar.zst

=== src/extras/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from extras.pro.

#####################################################################
## Qt::3DExtras Module:
#####################################################################

qt_internal_add_module(3DExtras
    SOURCES
        3dtext/qextrudedtextgeometry.cpp 3dtext/qextrudedtextgeometry.h 3dtext/qextrudedtextgeometry_p.h
        3dtext/qextrudedtextmesh.cpp 3dtext/qextrudedtextmesh.h
        defaults/qabstractcameracontroller.cpp defaults/qabstractcameracontroller.h defaults/qabstractcameracontroller_p.h
        defaults/qabstractspritesheet.cpp defaults/qabstractspritesheet.h defaults/qabstractspritesheet_p.h
        defaults/qdiffusemapmaterial.cpp defaults/qdiffusemapmaterial.h defaults/qdiffusemapmaterial_p.h
        defaults/qdiffusespecularmapmaterial.cpp defaults/qdiffusespecularmapmaterial.h defaults/qdiffusespecularmapmaterial_p.h
        defaults/qdiffusespecularmaterial.cpp defaults/qdiffusespecularmaterial.h defaults/qdiffusespecularmaterial_p.h
        defaults/qfirstpersoncameracontroller.cpp defaults/qfirstpersoncameracontroller.h
        defaults/qforwardrenderer.cpp defaults/qforwardrenderer.h defaults/qforwardrenderer_p.h
        defaults/qgoochmaterial.cpp defaults/qgoochmaterial.h defaults/qgoochmaterial_p.h
        defaults/qmetalroughmaterial.cpp defaults/qmetalroughmaterial.h defaults/qmetalroughmaterial_p.h
        defaults/qmorphphongmaterial.cpp defaults/qmorphphongmaterial.h defaults/qmorphphongmaterial_p.h
        defaults/qnormaldiffusemapalphamaterial.cpp defaults/qnormaldiffusemapalphamaterial.h defaults/qnormaldiffusemapalphamaterial_p.h
        defaults/qnormaldiffusemapmaterial.cpp defaults/qnormaldiffusemapmaterial.h defaults/qnormaldiffusemapmaterial_p.h
        defaults/qnormaldiffusespecularmapmaterial.cpp defaults/qnormaldiffusespecularmapmaterial.h defaults/qnormaldiffusespecularmapmaterial_p.h
        defaults/qorbitcameracontroller.cpp defaults/qorbitcameracontroller.h defaults/qorbitcameracontroller_p.h
        defaults/qpervertexcolormaterial.cpp defaults/qpervertexcolormaterial.h defaults/qpervertexcolormaterial_p.h
        defaults/qphongalphamaterial.cpp defaults/qphongalphamaterial.h defaults/qphongalphamaterial_p.h
        defaults/qphongmaterial.cpp defaults/qphongmaterial.h defaults/qphongmaterial_p.h
        defaults/qskyboxentity.cpp defaults/qskyboxentity.h defaults/qskyboxentity_p.h
        defaults/qspritegrid.cpp defaults/qspritegrid.h defaults/qspritegrid_p.h
        defaults/qspritesheet.cpp defaults/qspritesheet.h defaults/qspritesheet_p.h
        defaults/qspritesheetitem.cpp defaults/qspritesheetitem.h defaults/qspritesheetitem_p.h
        defaults/qt3dwindow.cpp defaults/qt3dwindow.h defaults/qt3dwindow_p.h
        defaults/qtexturematerial.cpp defaults/qtexturematerial.h defaults/qtexturematerial_p.h
        geometries/qconegeometry.cpp geometries/qconegeometry.h geometries/qconegeometry_p.h
        geometries/qconegeometryview.cpp geometries/qconegeometryview.h
        geometries/qconemesh.cpp geometries/qconemesh.h
        geometries/qcuboidgeometry.cpp geometries/qcuboidgeometry.h geometries/qcuboidgeometry_p.h
        geometries/qcuboidgeometryview.cpp geometries/qcuboidgeometryview.h
        geometries/qcuboidmesh.cpp geometries/qcuboidmesh.h
        geometries/qcylindergeometry.cpp geometries/qcylindergeometry.h geometries/qcylindergeometry_p.h
        geometries/qcylindergeometryview.cpp geometries/qcylindergeometryview.h
        geometries/qcylindermesh.cpp geometries/qcylindermesh.h
        geometries/qplanegeometry.cpp geometries/qplanegeometry.h geometries/qplanegeometry_p.h
        geometries/qplanegeometryview.cpp geometries/qplanegeometryview.h
        geometries/qplanemesh.cpp geometries/qplanemesh.h
        geometries/qspheregeometry.cpp geometries/qspheregeometry.h geometries/qspheregeometry_p.h
        geometries/qspheregeometryview.cpp geometries/qspheregeometryview.h
        geometries/qspheremesh.cpp geometries/qspheremesh.h
        geometries/qtorusgeometry.cpp geometries/qtorusgeometry.h geometries/qtorusgeometry_p.h
        geometries/qtorusgeometryview.cpp geometries/qtorusgeometryview.h
        geometries/qtorusmesh.cpp geometries/qtorusmesh.h
        qt3dextras_global.h
        text/areaallocator.cpp text/areaallocator_p.h
        text/distancefieldtextrenderer.cpp text/distancefieldtextrenderer_p.h
        text/distancefieldtextrenderer_p_p.h
        text/qdistancefieldglyphcache.cpp text/qdistancefieldglyphcache_p.h
        text/qtext2dentity.cpp text/qtext2dentity.h text/qtext2dentity_p.h
        text/qtext2dmaterial.cpp text/qtext2dmaterial_p.h
        text/qtext2dmaterial_p_p.h
        text/qtextureatlas.cpp text/qtextureatlas_p.h
        text/qtextureatlas_p_p.h
    DEFINES
        QT3DEXTRAS_LIBRARY
    INCLUDE_DIRECTORIES
        3dtext
        defaults
        geometries
        text
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::3DCore
        Qt::3DInput
        Qt::3DLogic
        Qt::3DRender
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
)

# QTransform conflicts
set_target_properties(3DExtras PROPERTIES UNITY_BUILD OFF)

# Resources:
set(extras_resource_files
    "shaders/es2/coordinatesystems.inc"
    "shaders/es2/default.vert"
    "shaders/es2/distancefieldtext.frag"
    "shaders/es2/distancefieldtext.vert"
    "shaders/es2/gooch.frag"
    "shaders/es2/gooch.vert"
    "shaders/es2/light.inc.frag"
    "shaders/es2/light.inc.frag100"
    "shaders/es2/morphphong.vert"
    "shaders/es2/pervertexcolor.frag"
    "shaders/es2/pervertexcolor.vert"
    "shaders/es2/phong.inc.frag"
    "shaders/es2/phong.inc.frag100"
    "shaders/es2/skybox.frag"
    "shaders/es2/skybox.vert"
    "shaders/es2/unlittexture.frag"
    "shaders/es2/unlittexture.vert"
    "shaders/es3/coordinatesystems.inc"
    "shaders/es3/default.vert"
    "shaders/es3/light.inc.frag"
    "shaders/es3/metalrough.inc.frag"
    "shaders/gl3/coordinatesystems.inc"
    "shaders/gl3/default.vert"
    "shaders/gl3/distancefieldtext.frag"
    "shaders/gl3/distancefieldtext.vert"
    "shaders/gl3/gooch.frag"
    "shaders/gl3/gooch.vert"
    "shaders/gl3/light.inc.frag"
    "shaders/gl3/metalrough.inc.frag"
    "shaders/gl3/morphphong.vert"
    "shaders/gl3/pervertexcolor.frag"
    "shaders/gl3/pervertexcolor.vert"
    "shaders/gl3/phong.inc.frag"
    "shaders/gl3/skybox.frag"
    "shaders/gl3/skybox.vert"
    "shaders/gl3/unlittexture.frag"
    "shaders/gl3/unlittexture.vert"
    "shaders/graphs/metalrough.frag.json"
    "shaders/graphs/phong.frag.json"
    "shaders/rhi/coordinatesystems.inc"
    "shaders/rhi/default_pos_norm.vert"
    "shaders/rhi/default_pos_norm_tex.vert"
    "shaders/rhi/default_pos_norm_tex_tan.vert"
    "shaders/rhi/default_pos_tex.vert"
    "shaders/rhi/defaultuniforms.inc"
    "shaders/rhi/distancefieldtext.frag"
    "shaders/rhi/distancefieldtext.vert"
    "shaders/rhi/gooch.frag"
    "shaders/rhi/gooch.vert"
    "shaders/rhi/light.inc.frag"
    "shaders/rhi/metalrough.inc.frag"
    "shaders/rhi/morphphong.vert"
    "shaders/rhi/pervertexcolor.frag"
    "shaders/rhi/pervertexcolor.vert"
    "shaders/rhi/phong.inc.frag"
    "shaders/rhi/skybox.frag"
    "shaders/rhi/skybox.vert"
    "shaders/rhi/unlittexture.frag"
    "shaders/rhi/unlittexture.vert"
)

qt_internal_add_resource(3DExtras "extras"
    PREFIX
        "/"
    FILES
        ${extras_resource_files}
)


#### Keys ignored in scope 1:.:.:extras.pro:<TRUE>:
# MODULE = "3DExtras"

=== src/render/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from render.pro.

#####################################################################
## 3drender Module:
#####################################################################

qt_internal_add_module(3DRender
    PLUGIN_TYPES sceneparsers geometryloaders renderplugins renderers
    SOURCES
        backend/abstractrenderer_p.h
        backend/apishadermanager_p.h
        backend/attachmentpack.cpp backend/attachmentpack_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/boundingvolumedebug.cpp backend/boundingvolumedebug_p.h
        backend/bufferutils_p.h
        backend/buffervisitor_p.h
        backend/cameralens.cpp backend/cameralens_p.h
        backend/computecommand.cpp backend/computecommand_p.h
        backend/entity.cpp backend/entity_p.h
        backend/entity_p_p.h
        backend/entityaccumulator.cpp backend/entityaccumulator_p.h
        backend/entityvisitor.cpp backend/entityvisitor_p.h
        backend/handle_types_p.h
        backend/layer.cpp backend/layer_p.h
        backend/levelofdetail.cpp backend/levelofdetail_p.h
        backend/managers.cpp backend/managers_p.h
        backend/nodefunctor_p.h
        backend/nodemanagers.cpp backend/nodemanagers_p.h
        backend/offscreensurfacehelper.cpp backend/offscreensurfacehelper_p.h
        backend/parameterpack.cpp backend/parameterpack_p.h
        backend/platformsurfacefilter.cpp backend/platformsurfacefilter_p.h
        backend/pointsvisitor.cpp backend/pointsvisitor_p.h
        backend/rendersettings.cpp backend/rendersettings_p.h
        backend/rendertarget.cpp backend/rendertarget_p.h
        backend/rendertargetoutput.cpp backend/rendertargetoutput_p.h
        backend/resourceaccessor.cpp backend/resourceaccessor_p.h
        backend/segmentsvisitor.cpp backend/segmentsvisitor_p.h
        backend/stringtoint.cpp backend/stringtoint_p.h
        backend/transform.cpp backend/transform_p.h
        backend/triangleboundingvolume.cpp backend/triangleboundingvolume_p.h
        backend/trianglesvisitor.cpp backend/trianglesvisitor_p.h
        backend/uniform.cpp backend/uniform_p.h
        backend/visitorutils_p.h
        framegraph/blitframebuffer.cpp framegraph/blitframebuffer_p.h
        framegraph/buffercapture.cpp framegraph/buffercapture_p.h
        framegraph/cameraselectornode.cpp framegraph/cameraselectornode_p.h
        framegraph/clearbuffers.cpp framegraph/clearbuffers_p.h
        framegraph/debugoverlay.cpp framegraph/debugoverlay_p.h
        framegraph/dispatchcompute.cpp framegraph/dispatchcompute_p.h
        framegraph/framegraphnode.cpp framegraph/framegraphnode_p.h
        framegraph/framegraphvisitor.cpp framegraph/framegraphvisitor_p.h
        framegraph/frustumculling.cpp framegraph/frustumculling_p.h
        framegraph/layerfilternode.cpp framegraph/layerfilternode_p.h
        framegraph/memorybarrier.cpp framegraph/memorybarrier_p.h
        framegraph/nodraw.cpp framegraph/nodraw_p.h
        framegraph/nopicking.cpp framegraph/nopicking_p.h
        framegraph/proximityfilter.cpp framegraph/proximityfilter_p.h
        framegraph/qblitframebuffer.cpp framegraph/qblitframebuffer.h framegraph/qblitframebuffer_p.h
        framegraph/qbuffercapture.cpp framegraph/qbuffercapture.h framegraph/qbuffercapture_p.h
        framegraph/qcameraselector.cpp framegraph/qcameraselector.h framegraph/qcameraselector_p.h
        framegraph/qclearbuffers.cpp framegraph/qclearbuffers.h framegraph/qclearbuffers_p.h
        framegraph/qdebugoverlay.cpp framegraph/qdebugoverlay.h framegraph/qdebugoverlay_p.h
        framegraph/qdispatchcompute.cpp framegraph/qdispatchcompute.h framegraph/qdispatchcompute_p.h
        framegraph/qframegraphnode.cpp framegraph/qframegraphnode.h framegraph/qframegraphnode_p.h
        framegraph/qfrustumculling.cpp framegraph/qfrustumculling.h
        framegraph/qlayerfilter.cpp framegraph/qlayerfilter.h framegraph/qlayerfilter_p.h
        framegraph/qmemorybarrier.cpp framegraph/qmemorybarrier.h framegraph/qmemorybarrier_p.h
        framegraph/qnodraw.cpp framegraph/qnodraw.h
        framegraph/qnopicking.cpp framegraph/qnopicking.h
        framegraph/qproximityfilter.cpp framegraph/qproximityfilter.h framegraph/qproximityfilter_p.h
        framegraph/qrendercapture.cpp framegraph/qrendercapture.h framegraph/qrendercapture_p.h
        framegraph/qrenderpassfilter.cpp framegraph/qrenderpassfilter.h framegraph/qrenderpassfilter_p.h
        framegraph/qrenderstateset.cpp framegraph/qrenderstateset.h framegraph/qrenderstateset_p.h
        framegraph/qrendersurfaceselector.cpp framegraph/qrendersurfaceselector.h framegraph/qrendersurfaceselector_p.h
        framegraph/qrendertargetselector.cpp framegraph/qrendertargetselector.h framegraph/qrendertargetselector_p.h
        framegraph/qsetfence.cpp framegraph/qsetfence.h framegraph/qsetfence_p.h
        framegraph/qsortpolicy.cpp framegraph/qsortpolicy.h framegraph/qsortpolicy_p.h
        framegraph/qsubtreeenabler.cpp framegraph/qsubtreeenabler.h framegraph/qsubtreeenabler_p.h
        framegraph/qtechniquefilter.cpp framegraph/qtechniquefilter.h framegraph/qtechniquefilter_p.h
        framegraph/qviewport.cpp framegraph/qviewport.h framegraph/qviewport_p.h
        framegraph/qwaitfence.cpp framegraph/qwaitfence.h framegraph/qwaitfence_p.h
        framegraph/rendercapture.cpp framegraph/rendercapture_p.h
        framegraph/renderpassfilternode.cpp framegraph/renderpassfilternode_p.h
        framegraph/rendersurfaceselector.cpp framegraph/rendersurfaceselector_p.h
        framegraph/rendertargetselectornode.cpp framegraph/rendertargetselectornode_p.h
        framegraph/setfence.cpp framegraph/setfence_p.h
        framegraph/sortpolicy.cpp framegraph/sortpolicy_p.h
        framegraph/statesetnode.cpp framegraph/statesetnode_p.h
        framegraph/subtreeenabler.cpp framegraph/subtreeenabler_p.h
        framegraph/techniquefilternode.cpp framegraph/techniquefilternode_p.h
        framegraph/viewportnode.cpp framegraph/viewportnode_p.h
        framegraph/waitfence.cpp framegraph/waitfence_p.h
        frontend/qcamera.cpp frontend/qcamera.h frontend/qcamera_p.h
        frontend/qcameralens.cpp frontend/qcameralens.h frontend/qcameralens_p.h
        frontend/qcomputecommand.cpp frontend/qcomputecommand.h frontend/qcomputecommand_p.h
        frontend/qlayer.cpp frontend/qlayer.h frontend/qlayer_p.h
        frontend/qlevelofdetail.cpp frontend/qlevelofdetail.h frontend/qlevelofdetail_p.h
        frontend/qlevelofdetailboundingsphere.cpp frontend/qlevelofdetailboundingsphere.h
        frontend/qlevelofdetailswitch.cpp frontend/qlevelofdetailswitch.h frontend/qlevelofdetailswitch_p.h
        frontend/qpickingsettings.cpp frontend/qpickingsettings.h frontend/qpickingsettings_p.h
        frontend/qrenderapi.h
        frontend/qrenderaspect.cpp frontend/qrenderaspect.h frontend/qrenderaspect_p.h
        frontend/qrendercapabilities.cpp frontend/qrendercapabilities.h frontend/qrendercapabilities_p.h
        frontend/qrenderplugin_p.h
        frontend/qrenderpluginfactory.cpp frontend/qrenderpluginfactory_p.h
        frontend/qrenderpluginfactoryif.cpp frontend/qrenderpluginfactoryif_p.h
        frontend/qrendersettings.cpp frontend/qrendersettings.h frontend/qrendersettings_p.h
        frontend/qrendertarget.cpp frontend/qrendertarget.h frontend/qrendertarget_p.h
        frontend/qrendertargetoutput.cpp frontend/qrendertargetoutput.h frontend/qrendertargetoutput_p.h
        frontend/sphere.cpp frontend/sphere_p.h
        geometry/armature.cpp geometry/armature_p.h
        geometry/attribute.cpp geometry/attribute_p.h
        geometry/buffer.cpp geometry/buffer_p.h
        geometry/buffermanager.cpp geometry/buffermanager_p.h
        geometry/geometry.cpp geometry/geometry_p.h
        geometry/geometryrenderer.cpp geometry/geometryrenderer_p.h
        geometry/geometryrenderermanager.cpp geometry/geometryrenderermanager_p.h
        geometry/gltfskeletonloader.cpp geometry/gltfskeletonloader_p.h
        geometry/joint.cpp geometry/joint_p.h
        geometry/pickingproxy.cpp geometry/pickingproxy_p.h
        geometry/qgeometryrenderer.cpp geometry/qgeometryrenderer.h geometry/qgeometryrenderer_p.h
        geometry/qmesh.cpp geometry/qmesh.h geometry/qmesh_p.h
        geometry/qpickingproxy.cpp geometry/qpickingproxy.h geometry/qpickingproxy_p.h
        geometry/skeleton.cpp geometry/skeleton_p.h
        geometry/skeletondata.cpp geometry/skeletondata_p.h
        io/qaxisalignedboundingbox.cpp io/qaxisalignedboundingbox_p.h
        io/qgeometryloaderfactory.cpp io/qgeometryloaderfactory_p.h
        io/qgeometryloaderinterface_p.h
        io/qsceneexporter.cpp io/qsceneexporter_p.h
        io/qsceneexportfactory.cpp io/qsceneexportfactory_p.h
        io/qsceneexportplugin.cpp io/qsceneexportplugin_p.h
        io/qsceneimporter.cpp io/qsceneimporter_p.h
        io/qsceneimportfactory.cpp io/qsceneimportfactory_p.h
        io/qsceneimportplugin.cpp io/qsceneimportplugin_p.h
        io/qsceneloader.cpp io/qsceneloader.h io/qsceneloader_p.h
        io/scene.cpp io/scene_p.h
        io/scenemanager.cpp io/scenemanager_p.h
        jobs/abstractpickingjob.cpp jobs/abstractpickingjob_p.h
        jobs/calcboundingvolumejob.cpp jobs/calcboundingvolumejob_p.h
        jobs/computefilteredboundingvolumejob.cpp jobs/computefilteredboundingvolumejob_p.h
        jobs/expandboundingvolumejob.cpp jobs/expandboundingvolumejob_p.h
        jobs/filterentitybycomponentjob_p.h
        jobs/filterlayerentityjob.cpp jobs/filterlayerentityjob_p.h
        jobs/filterproximitydistancejob.cpp jobs/filterproximitydistancejob_p.h
        jobs/framecleanupjob.cpp jobs/framecleanupjob_p.h
        jobs/frustumcullingjob.cpp jobs/frustumcullingjob_p.h
        jobs/genericlambdajob_p.h
        jobs/job_common_p.h
        jobs/lightgatherer.cpp jobs/lightgatherer_p.h
        jobs/loadgeometryjob.cpp jobs/loadgeometryjob_p.h
        jobs/loadscenejob.cpp jobs/loadscenejob_p.h
        jobs/loadskeletonjob.cpp jobs/loadskeletonjob_p.h
        jobs/pickboundingvolumejob.cpp jobs/pickboundingvolumejob_p.h
        jobs/pickboundingvolumeutils.cpp jobs/pickboundingvolumeutils_p.h
        jobs/raycastingjob.cpp jobs/raycastingjob_p.h
        jobs/sendbuffercapturejob.cpp jobs/sendbuffercapturejob_p.h
        jobs/updateentitylayersjob.cpp jobs/updateentitylayersjob_p.h
        jobs/updatelevelofdetailjob.cpp jobs/updatelevelofdetailjob_p.h
        jobs/updateshaderdatatransformjob.cpp jobs/updateshaderdatatransformjob_p.h
        jobs/updateskinningpalettejob.cpp jobs/updateskinningpalettejob_p.h
        jobs/updatetreeenabledjob.cpp jobs/updatetreeenabledjob_p.h
        jobs/updateworldboundingvolumejob.cpp jobs/updateworldboundingvolumejob_p.h
        jobs/updateworldtransformjob.cpp jobs/updateworldtransformjob_p.h
        jobs/filtercompatibletechniquejob.cpp jobs/filtercompatibletechniquejob_p.h
        jobs/materialparametergathererjob.cpp jobs/materialparametergathererjob_p.h
        jobs/renderviewjobutils.cpp jobs/renderviewjobutils_p.h
        jobs/uniformblockbuilder.cpp jobs/uniformblockbuilder_p.h
        jobs/renderqueue_p.h
        jobs/renderercache_p.h
        jobs/renderviewcommandbuilderjob_p.h
        jobs/renderviewcommandupdaterjob_p.h
        jobs/renderviewinitializerjob_p.h
        jobs/rendersyncjobs_p.h
        lights/environmentlight.cpp lights/environmentlight_p.h
        lights/light.cpp lights/light_p.h
        lights/lightsource.cpp lights/lightsource_p.h
        lights/qabstractlight.cpp lights/qabstractlight.h lights/qabstractlight_p.h
        lights/qdirectionallight.cpp lights/qdirectionallight.h lights/qdirectionallight_p.h
        lights/qenvironmentlight.cpp lights/qenvironmentlight.h lights/qenvironmentlight_p.h
        lights/qpointlight.cpp lights/qpointlight.h lights/qpointlight_p.h

=== src/quick3d/quick3drender/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from quick3drender.pro.

#####################################################################
## Qt::3DQuickRender Module:
#####################################################################

qt_internal_add_module(3DQuickRender
    SOURCES
        items/quick3deffect.cpp items/quick3deffect_p.h
        items/quick3dlayerfilter.cpp items/quick3dlayerfilter_p.h
        items/quick3dmaterial.cpp items/quick3dmaterial_p.h
        items/quick3dmemorybarrier.cpp items/quick3dmemorybarrier_p.h
        items/quick3dparameter.cpp items/quick3dparameter_p.h
        items/quick3dparameter_p_p.h
        items/quick3draycaster.cpp items/quick3draycaster_p.h
        items/quick3draycaster_p_p.h
        items/quick3drenderpass.cpp items/quick3drenderpass_p.h
        items/quick3drenderpassfilter.cpp items/quick3drenderpassfilter_p.h
        items/quick3drendertargetoutput.cpp items/quick3drendertargetoutput_p.h
        items/quick3dscene.cpp items/quick3dscene_p.h
        items/quick3dscreenraycaster.cpp items/quick3dscreenraycaster_p.h
        items/quick3dscreenraycaster_p_p.h
        items/quick3dshaderdata.cpp items/quick3dshaderdata_p.h
        items/quick3dshaderdataarray.cpp items/quick3dshaderdataarray_p.h
        items/quick3dstateset.cpp items/quick3dstateset_p.h
        items/quick3dtechnique.cpp items/quick3dtechnique_p.h
        items/quick3dtechniquefilter.cpp items/quick3dtechniquefilter_p.h
        items/quick3dtexture.cpp items/quick3dtexture_p.h
        items/quick3dviewport.cpp items/quick3dviewport_p.h
        qt3dquickrender_global.cpp qt3dquickrender_global.h qt3dquickrender_global_p.h
        qt3dquickrendernodefactory.cpp qt3dquickrendernodefactory_p.h
    INCLUDE_DIRECTORIES
        items
    LIBRARIES
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DQuick
        Qt::3DRender
        Qt::Core
        Qt::Gui
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::3DCorePrivate
        Qt::3DQuickPrivate
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:quick3drender.pro:<TRUE>:
# MODULE = "3DQuickRender"

## Scopes:
#####################################################################

qt_internal_extend_target(3DQuickRender CONDITION gcov
    COMPILE_OPTIONS
        -fprofile-arcs
        -ftest-coverage
    LINK_OPTIONS
        "-fprofile-arcs"
        "-ftest-coverage"
)

=== tests/manual/enabled-qml/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from enabled-qml.pro.

#####################################################################
## enabled-qml Binary:
#####################################################################

qt_internal_add_manual_test(enabled-qml
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
)

# Resources:
set(enabled-qml_resource_files
    "main.qml"
)

qt_internal_add_resource(enabled-qml "enabled-qml"
    PREFIX
        "/"
    FILES
        ${enabled-qml_resource_files}
)


## Scopes:
#####################################################################

=== tests/manual/proximityfilter/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from proximityfilter.pro.

#####################################################################
## proximityfilter Binary:
#####################################################################

qt_internal_add_manual_test(proximityfilter
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Quick
)

# Resources:
set(proximityfilter_resource_files
    "main.qml"
)

qt_internal_add_resource(proximityfilter "proximityfilter"
    PREFIX
        "/"
    FILES
        ${proximityfilter_resource_files}
)


## Scopes:
#####################################################################

=== tests/manual/skinned-mesh/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from skinned-mesh.pro.

#####################################################################
## skinned-mesh Binary:
#####################################################################

qt_internal_add_manual_test(skinned-mesh
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::3DAnimation
        Qt::3DCore
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(skinned-mesh_resource_files
    "DefaultSceneEntity.qml"
    "SkinnedEntity.qml"
    "SkinnedPbrEffect.qml"
    "jump.json"
    "main.qml"
    "skinnedPbr.vert"
)

qt_internal_add_resource(skinned-mesh "skinned-mesh"
    PREFIX
        "/"
    FILES
        ${skinned-mesh_resource_files}
)
set(cubemaps_resource_files
    "../exampleresources/assets/cubemaps/default/default_irradiance.dds"
    "../exampleresources/assets/cubemaps/default/default_specular.dds"
    "../exampleresources/assets/cubemaps/miramar/miramar_negx.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_negy.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_negz.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_posx.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_posy.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_posz.webp"
)

qt_internal_add_resource(skinned-mesh "cubemaps"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${cubemaps_resource_files}
)
set_source_files_properties("../exampleresources/assets/envmaps/cedar-bridge/cedar_bridge_irradiance.dds"
    PROPERTIES QT_RESOURCE_ALIAS "assets/envmaps/cedar-bridge/cedar_bridge_irradiance.dds"
)
set_source_files_properties("../exampleresources/assets/envmaps/cedar-bridge/cedar_bridge_specular.dds"
    PROPERTIES QT_RESOURCE_ALIAS "assets/envmaps/cedar-bridge/cedar_bridge_specular.dds"
)
set(envmaps_resource_files
    "../exampleresources/assets/envmaps/cedar-bridge/cedar_bridge_irradiance.dds"
    "../exampleresources/assets/envmaps/cedar-bridge/cedar_bridge_specular.dds"
)

qt_internal_add_resource(skinned-mesh "envmaps"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${envmaps_resource_files}
)
set(gltf_resource_files
    "../exampleresources/assets/gltf/2.0/RiggedFigure/RiggedFigure.gltf"
    "../exampleresources/assets/gltf/2.0/RiggedFigure/RiggedFigure0.bin"
    "../exampleresources/assets/gltf/2.0/RiggedSimple/RiggedSimple.gltf"
    "../exampleresources/assets/gltf/2.0/RiggedSimple/RiggedSimple0.bin"
    "../exampleresources/assets/gltf/wine/Wood_Cherry_Original_.jpg"
    "../exampleresources/assets/gltf/wine/_2004_old_vine_zinfandel_btl_xlg.jpg"
    "../exampleresources/assets/gltf/wine/artezin_bottle.jpg"
    "../exampleresources/assets/gltf/wine/wine.bin"
    "../exampleresources/assets/gltf/wine/wine.dae"
    "../exampleresources/assets/gltf/wine/wine.gltf"
    "../exampleresources/assets/gltf/wine/wine0FS.glsl"
    "../exampleresources/assets/gltf/wine/wine0VS.glsl"
    "../exampleresources/assets/gltf/wine/wine1FS.glsl"
    "../exampleresources/assets/gltf/wine/wine1VS.glsl"
    "../exampleresources/assets/gltf/wine/wine2FS.glsl"
    "../exampleresources/assets/gltf/wine/wine2VS.glsl"
    "../exampleresources/assets/gltf/wine/wine3FS.glsl"
    "../exampleresources/assets/gltf/wine/wine3VS.glsl"
)

qt_internal_add_resource(skinned-mesh "gltf"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${gltf_resource_files}
)


#### Keys ignored in scope 1:.:.:skinned-mesh.pro:<TRUE>:
# DISTFILES = "skinnedPbr.vert"
# OTHER_FILES = "main.qml" "DefaultSceneEntity.qml" "SkinnedEntity.qml" "SkinnedPbrEffect.qml"

## Scopes:
#####################################################################

=== src/plugins/sceneparsers/gltf/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from gltf.pro.

#####################################################################
## GLTFSceneImportPlugin Plugin:
#####################################################################

qt_internal_add_plugin(GLTFSceneImportPlugin
    OUTPUT_NAME gltfsceneimport
    PLUGIN_TYPE sceneparsers
    SOURCES
        gltfimporter.cpp gltfimporter.h
        main.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DExtras
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:gltf.pro:<TRUE>:
# DISTFILES = "gltf.json"

=== src/quick3d/imports/render/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from importsrender.pro.

#####################################################################
## quick3drenderplugin:
#####################################################################

qt_internal_add_qml_module(quick3drenderplugin
    URI "Qt3D.Render"
    VERSION "2.${PROJECT_VERSION_MINOR}"
    CLASS_NAME Qt3DQuick3DRenderPlugin
    DEPENDENCIES
        QtQml/auto
    PLUGIN_TARGET quick3drenderplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    SOURCES
        qt3dquick3drenderplugin.cpp qt3dquick3drenderplugin.h
    LIBRARIES
        Qt::3DCore
        Qt::3DQuick
        Qt::3DQuickPrivate
        Qt::3DQuickRenderPrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:importsrender.pro:<TRUE>:
# CXX_MODULE = "qml"
# IMPORT_VERSION = "2.$$QT_MINOR_VERSION"
# OTHER_FILES = "qmldir"
# TARGETPATH = "Qt3D/Render"

=== tests/auto/core/qtransform/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qtransform.pro.

# special case skip regeneration

#####################################################################
## tst_qtransform Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qt3d_qtransform LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qt3d_qtransform
    SOURCES
        tst_qtransform.cpp
    INCLUDE_DIRECTORIES
        ../common
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qtransform.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qt3d_qtransform CONDITION QT_FEATURE_private_tests
    SOURCES
        ../common/qbackendnodetester.cpp ../common/qbackendnodetester.h
        ../common/testarbiter.h
)

=== tests/auto/quick3d/3drender/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from 3drender.pro.

#####################################################################
## tst_import3drender Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_import3drender LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_import3drender
    SOURCES
        ../../render/qmlscenereader/qmlscenereader.cpp ../../render/qmlscenereader/qmlscenereader.h
        tst_import3drender.cpp
    INCLUDE_DIRECTORIES
        ../../render/qmlscenereader
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DQuick
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::Gui
        Qt::Qml
)

# Resources:
set( 3drender_resource_files
    "3drender.qml"
)

qt_internal_add_resource(tst_import3drender "3drender"
    PREFIX
        "/"
    FILES
        ${3drender_resource_files}
)


#### Keys ignored in scope 1:.:.:3drender.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/render/qclearbuffers/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qclearbuffers.pro.

#####################################################################
## tst_qclearbuffer Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qclearbuffer LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qclearbuffer
    SOURCES
        tst_qclearbuffers.cpp
    LIBRARIES
        Qt::3DCore
        Qt::3DCorePrivate
        Qt::3DRender
        Qt::3DRenderPrivate
        Qt::CorePrivate
        Qt::Gui
)

#### Keys ignored in scope 1:.:.:qclearbuffers.pro:<TRUE>:
# TEMPLATE = "app"

## Scopes:
#####################################################################

include(../commons/commons.cmake)
qt3d_setup_common_render_test(tst_qclearbuffer)

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=qt6-3d
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.8.0
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='C++ and QML APIs for easy inclusion of 3D graphics (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qt3d.git"
msys2_references=(
  'archlinux: qt6-3d'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND CC-BY-4.0 AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
             "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
             "${MINGW_PACKAGE_PREFIX}-qt6-multimedia"
             "${MINGW_PACKAGE_PREFIX}-assimp"
             "${MINGW_PACKAGE_PREFIX}-vulkan-headers"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz")
sha256sums=('3a11919e15437c351b742dbf4e0115ce51aa969cba844dd6388aae14810c7b7d')

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake -Wno-dev \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    ../${_pkgfn}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-3d() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-declarative"
              "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
              "${MINGW_PACKAGE_PREFIX}-qt6-multimedia"
              "${MINGW_PACKAGE_PREFIX}-assimp")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR=${pkgdir} ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs ${pkgdir}/.${MINGW_PREFIX} ${srcdir}/${MSYSTEM}-debug/

  install -d "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 ${_pkgfn}/LICENSES/* -t "${pkgdir}${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-3d-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf ${srcdir}/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
